gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-exchange] 02/02: print message if crustify is not in


From: gnunet
Subject: [GNUnet-SVN] [taler-exchange] 02/02: print message if crustify is not installed
Date: Sun, 25 Aug 2019 16:13:17 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository exchange.

commit 3742239c13001433eeade439a0e0490f07351c43
Author: Florian Dold <address@hidden>
AuthorDate: Sun Aug 25 16:12:48 2019 +0200

    print message if crustify is not installed
---
 contrib/uncrustify.sh | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/contrib/uncrustify.sh b/contrib/uncrustify.sh
index 09974173..e8e05d3e 100755
--- a/contrib/uncrustify.sh
+++ b/contrib/uncrustify.sh
@@ -1,3 +1,14 @@
 #!/usr/bin/env bash
+
+set -eu
+
 DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
-find "$DIR/../src" \( -name "*.cpp" -o -name "*.c" -o -name "*.h" \) -exec 
uncrustify -c "$DIR/uncrustify.cfg" --replace --no-backup {} +
+
+if ! uncrustify --version >/dev/null; then
+  echo "you need to install uncrustify for indentation"
+  exit 1
+fi
+
+find "$DIR/../src" \( -name "*.cpp" -o -name "*.c" -o -name "*.h" \) \
+  -exec uncrustify -c "$DIR/uncrustify.cfg" --replace --no-backup {} + \
+  || true

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]